JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinReg.HKEYByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.platform.win32.WinReg.HKEYByReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  WinReg

    public static class WinReg.HKEYByReference

extends ByReference

Constructor Summary
`WinReg.HKEYByReference()`
`WinReg.HKEYByReference(WinReg.HKEY h)`

Method Summary
`WinReg.HKEY` | `getValue()`
`void` | `setValue(WinReg.HKEY h)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinReg.HKEYByReference

    public WinReg.HKEYByReference()

### WinReg.HKEYByReference

    public WinReg.HKEYByReference(WinReg.HKEY h)

Method Detail

### setValue

    public void setValue(WinReg.HKEY h)

### getValue

    public WinReg.HKEY getValue()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.